Debian Bug report logs - #370798
RM: wims-modules-fr -- RoM; replaced by wims-modules

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Georges Khaznadar <georgesk@ofset.org>

Date: Tue, 6 Jun 2006 20:18:45 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#370798; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georgesk@ofset.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@ofset.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: please delete the package wims-modules-fr.
Date: Tue, 06 Jun 2006 22:11:26 +0200
Package: ftp.debian.org
Severity: normal


with the help of Raphael Hertzog, I am rewriting the package wims. 

The upstream author has made modifications since the older wims Debian 
package, and his new system of packaging makes obsolete the national 
modules : as the compression is more effective for trees which contain 
many files sharing similar codes, and as the localisation of wims makes 
many redundant files, one package containing every modules is much 
lighter that the sum of module packages for every language.

I addition, part of the features of the core of wims have been encoded 
in some "system" modules which are part of the package wims-modules.

So, now the core wims package needs the package wims-modules, and 
the package wims-modules provides wims-modules-fr.

This is why the older wims-modules-fr debian Package should be removed.

Best regards,			Georges.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (650, 'stable'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-rc5-686
Locale: LANG=fr_FR@euro, LC_CTYPE=ISO-8859-15 (charmap=ISO-8859-15) (ignored: LC_ALL set to fr_FR@euro)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#370798; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 370798@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: Georges Khaznadar <georgesk@ofset.org>, 370798@bugs.debian.org
Subject: Re: Bug#370798: ftp.debian.org: please delete the package wims-modules-fr.
Date: Thu, 08 Jun 2006 19:34:11 +0100
package ftp.debian.org
retitle 370798 RM: wims-modules-fr -- RoM; replaced by wims-modules
thanks

On Tue, 2006-06-06 at 22:11 +0200, Georges Khaznadar wrote:
> Package: ftp.debian.org
> Severity: normal
> 
> 
> with the help of Raphael Hertzog, I am rewriting the package wims. 
[...]
> I addition, part of the features of the core of wims have been encoded 
> in some "system" modules which are part of the package wims-modules.
> 
> So, now the core wims package needs the package wims-modules, and 
> the package wims-modules provides wims-modules-fr.
> 
> This is why the older wims-modules-fr debian Package should be removed.

I'm assuming that these changes are contained in the versions of wims
currently in NEW. If that's the case then the older (no longer built)
packages will be semi-automatically removed in the first run of the
archive tool "rene" after the NEW packages are accepted.

Regards,

Adam



Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#370798; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 370798@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
Cc: Georges Khaznadar <georgesk@ofset.org>, 370798@bugs.debian.org
Subject: Re: Bug#370798: ftp.debian.org: please delete the package wims-modules-fr.
Date: Thu, 29 Jun 2006 16:42:48 +0200
On Thu, 08 Jun 2006, Adam D. Barratt wrote:
> > So, now the core wims package needs the package wims-modules, and 
> > the package wims-modules provides wims-modules-fr.
> > 
> > This is why the older wims-modules-fr debian Package should be removed.
> 
> I'm assuming that these changes are contained in the versions of wims
> currently in NEW. If that's the case then the older (no longer built)
> packages will be semi-automatically removed in the first run of the
> archive tool "rene" after the NEW packages are accepted.

No, wims-modules-fr is a separate source package... otherwise I wouldn't
have asked Georges to file this bug.

BTW, wims is out of new so the package can be safely removed now.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Georges Khaznadar <georgesk@ofset.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 370798-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 370798-close@bugs.debian.org
Cc: wims-modules-fr@packages.debian.org, wims-modules-fr@packages.qa.debian.org
Subject: Bug#370798: fixed
Date: Fri, 07 Jul 2006 00:32:33 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

wims-modules-fr |     3.28-2 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370798@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:44:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:57:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.